{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.crl.spider.climbing": {
			"states": {
				"default": {
					"animations": ["walk", "look_at_target"],
					"transitions": [
						{"climbing": "v.time_climbing > v.thresh_climbing"}
					],
					"blend_transition": 0.25
				},
				"climbing": {
					"animations": ["climb", "walk"],
					"transitions": [
						{"default": "v.time_not_climbing > 0.25\n"},
						{"stick_on_ceiling": "math.abs(query.vertical_speed) <= 0.1"}
					],
					"blend_transition": 0.25,
					"blend_via_shortest_path": true
				},
				"stick_on_ceiling": {
					"animations": ["stick", "look_at_target_stick"],
					"transitions": [
						{"default": "v.time_not_climbing > 0.25\n"},
						{"climbing": "math.abs(query.vertical_speed) > 0.1"}
					],
					"blend_transition": 0.25
				}
			}
		}
	}
}